<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ParamGeralService;
use FM\Traits\TResponse;

class ParamGeralController extends FMCrud{
    use TResponse;
    
    protected $ParamGeralService;
   
    public function __construct($crudService, $environment, ParamGeralService $ParamGeralService) {
        parent::__construct($crudService, $environment);
        $this->ParamGeralService = $ParamGeralService;
    }

    public function postMascara(Request $request, Response $response){
        try {
            $data = $this->ParamGeralService->postMascara($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getMascara(Request $request, Response $response){
        try {
            $data = $this->ParamGeralService->getMascara();
            $this->sendResponse($data, 200);
        } catch (Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}

?>