<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\RelatoriosTarefasService;
use FM\Traits\TResponse;

class RelatoriosTarefasController extends FMCrud {

  use TResponse;

  protected $RelatoriosTarefasService;

  public function __construct($crudService, $environment, RelatoriosTarefasService $RelatoriosTarefasService) {
        parent::__construct($crudService, $environment);
        $this->RelatoriosTarefasService = $RelatoriosTarefasService;
  }

  public function getFuncionarios(Request $request, Response $response) {
    try {
            $data = $this->RelatoriosTarefasService->getFuncionarios();
            $this->sendResponse($data, 200);
        } catch (Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getRelatoriosTarefas(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getRelatoriosTarefas($request->getParameters());
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getItensTarefas(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getItensTarefas($request->getParameters());
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFotosTarefas(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getFotosTarefas($request->getParameters());
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFiltroRelatorioTarefa(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getFiltroRelatorioTarefa();
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFiltroRelatorioLocal(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getFiltroRelatorioLocal();
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFiltroRelatorioChecklist(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getFiltroRelatorioChecklist();
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getFiltroRelatorioCliente(Request $request, Response $response) {
        try {
                $data = $this->RelatoriosTarefasService->getFiltroRelatorioCliente();
                $this->sendResponse($data, 200);
        } catch (Exception $ex) {
                $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
?>