/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CHRE                                                     */
/* Tabela : CHEQUERECE                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 09/11/2006 - Adalberto Teodoro                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CHRE
BEFORE INSERT OR UPDATE OR DELETE
ON CHEQUERECE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCHRE := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDREDUCONT  ,0) <> NVL(:NEW.CDREDUCONT,  0)) OR
         (NVL(:OLD.NRCHEQUERECE,0) <> NVL(:NEW.NRCHEQUERECE,0)) OR
         (NVL(:OLD.CDBANCHEQREC,0) <> NVL(:NEW.CDBANCHEQREC,0)) OR
         (NVL(:OLD.CDAGECHEQREC,0) <> NVL(:NEW.CDAGECHEQREC,0)) OR
         (NVL(:OLD.CDCNTCHEQREC,0) <> NVL(:NEW.CDCNTCHEQREC,0)) OR
         (NVL(:OLD.VRCHEQUERECE,0) <> NVL(:NEW.VRCHEQUERECE,0)) OR
         (NVL(:OLD.IDSITCHEQREC,0) <> NVL(:NEW.IDSITCHEQREC,0)) THEN
         :NEW.DTULTATUCHRE := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CHEQUERECE', '', 'NRCHEQUERECE='||:OLD.NRCHEQUERECE||'CDBANCHEQREC='||:OLD.CDBANCHEQREC||'CDAGECHEQREC='||:OLD.CDAGECHEQREC||'CDCNTCHEQREC='||:OLD.CDCNTCHEQREC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CHEQUERECE MODIFY DTULTATUCHRE DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CHRE','4.11.189'); END;
/

